Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006781OCamlotherlibspublic2015-02-16 21:322015-02-24 21:53
Reporterberke.durak 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version4.01.0 
Target VersionFixed in Version4.02.2+dev / +rc1 
Summary0006781: Add higher baud rates to Unix termios
DescriptionCurrent version of otherlibs/unix/termios.c only goes up to 230400. I'm working on a project where we need 460800 and 921600.
Steps To ReproduceNone
Additional InformationUnder Linux, /usr/include/bits/termios.h gives definitions up to B4000000.

Many devices use USB-to-serial converters to provide USB connectivity and use these higher speeds.

As a workaround, users can write a C stub to provide the extra settings.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0013335)
doligez (administrator)
2015-02-24 21:53

Done in 4.02 branch (rev 15864).

- Issue History
Date Modified Username Field Change
2015-02-16 21:32 berke.durak New Issue
2015-02-24 21:53 doligez Note Added: 0013335
2015-02-24 21:53 doligez Status new => closed
2015-02-24 21:53 doligez Resolution open => fixed
2015-02-24 21:53 doligez Fixed in Version => 4.02.2+dev / +rc1
2017-02-23 16:42 doligez Category OCaml otherlibs => otherlibs


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker